export declare function syncGist(type: string, token: string, gist: string, configs: Map<string, string>): Promise<string>;
export declare function getGist(type: string, token: string, gist: string): Promise<Map<string, string>>;
export declare class Connection {
    host: string;
    port?: number;
    user: string;
    auth?: {
        password: string;
        encryptType: 'NONE' | 'AES';
    };
}
