import { OnInit } from '@angular/core';
import { ConfigService, ElectronService } from 'terminus-core';
import { ToastrService } from 'ngx-toastr';
import { Connection } from 'api';
import { PasswordStorageService } from 'services/PasswordStorage.service';
/** @hidden */
export declare class SyncConfigSettingsTabComponent implements OnInit {
    config: ConfigService;
    private toastr;
    private electron;
    private passwordStorage;
    private isUploading;
    private isDownloading;
    constructor(config: ConfigService, toastr: ToastrService, electron: ElectronService, passwordStorage: PasswordStorageService);
    ngOnInit(): void;
    private dateFormat;
    sync(isUploading: boolean): Promise<void>;
    viewGist(): void;
    saveSSHPluginAllPasswordInfos(conns: Connection[], token: string): Promise<void>;
    getSSHPluginAllPasswordInfos(token: string): Promise<Connection[]>;
    aesEncrypt(str: string, token: string): any;
    aesDecrypt(encryptedStr: string, token: string): any;
    getEncKey(token: string): string;
}
